Skip to main content
GET
/
v1
/
connector-sync-events
/
{connectorSyncEventId}
Get connector sync event
curl --request GET \
  --url https://api.openworklabs.com/v1/connector-sync-events/{connectorSyncEventId}
{
  "item": {
    "id": "<string>",
    "connectorInstanceId": "<string>",
    "connectorTargetId": "<string>",
    "connectorType": "github",
    "remoteId": "<string>",
    "eventType": "push",
    "externalEventRef": "<string>",
    "sourceRevisionRef": "<string>",
    "status": "pending",
    "summaryJson": {
      "createdCount": 4503599627370495,
      "updatedCount": 4503599627370495,
      "deletedCount": 4503599627370495,
      "skippedCount": 4503599627370495,
      "failedCount": 4503599627370495,
      "failures": [
        {}
      ]
    },
    "startedAt": "2023-11-07T05:31:56Z",
    "completedAt": "2023-11-07T05:31:56Z"
  }
}

Path Parameters

connectorSyncEventId
string<typeid>
required

Den TypeID with 'cse_' prefix and a 26-character base32 suffix.

Required string length: 30
Pattern: ^cse_.*

Response

Connector sync event returned successfully.

item
object
required